# PacketInRunEvent (SubServers.Sync)

net.ME1312.SubServers.Sync.Network.Packet

## Class PacketInRunEvent

- java.lang.Object
- - net.ME1312.SubServers.Sync.Network.Packet.PacketInRunEvent

All Implemented Interfaces:
  PacketIn

    public class PacketInRunEvent
    extends java.lang.Object
    implements PacketIn

Run Event Packet

### Constructor Summary

Constructors
Constructor and Description
`PacketInRunEvent()` New PacketInRunEvent

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `callback(java.lang.String event, JSONCallback callback)`
`void` `execute(org.json.JSONObject data)` Execute Incoming Packet
`Version` `getVersion()` Get Packet Version

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketInRunEvent

    public PacketInRunEvent()

New PacketInRunEvent

### Method Detail

#### execute

    public void execute(org.json.JSONObject data)

Description copied from interface: `PacketIn`
Execute Incoming Packet

Specified by:
  `execute` in interface `PacketIn`
Parameters:
  `data` - Incoming Data

#### getVersion

    public Version getVersion()

Description copied from interface: `PacketIn`
Get Packet Version

Specified by:
  `getVersion` in interface `PacketIn`
Returns:
  Packet Version

#### callback

    public static void callback(java.lang.String event,
                                JSONCallback callback)